## gdb-mingw-w64 11ubuntu2

=== debian/changelog ===
gdb-mingw-w64 (11ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Dec 2022 09:51:56 +0000

gdb-mingw-w64 (11ubuntu1) jammy; urgency=medium

  * Still build using gdb 10.2.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Feb 2022 07:43:19 +0100
