## gdb-mingw-w64 12

=== debian/changelog ===
gdb-mingw-w64 (12) unstable; urgency=medium

  * Only build target gdbserver, not the full target gdb. Closes:
    #1008381.
  * Configure and build the components required for gdbserver
    explicitly; this avoids configuring gdb as a whole, and means we
    won’t end up requiring gmp for gdb 11. Closes: #1005734.
  * Standards-Version 4.6.0, no change required.
  * Update Lintian overrides (superfluous-file-pattern instead of
    wildcard-matches-nothing-in-dep5-copyright and unused-file-paragraph-
    in-dep5-copyright).

 -- Stephen Kitt <skitt@debian.org>  Tue, 29 Mar 2022 21:53:17 +0200
