=== debian/control ===
Source: gdb-mingw-w64
Maintainer: Stephen Kitt <skitt@debian.org>
Section: devel
Priority: optional
Build-Depends: autoconf,
               automake,
               bison,
               debhelper-compat (= 13),
               expect,
               flex,
               gdb-source (>= 10.1~),
               libbabeltrace-ctf-dev,
               libbabeltrace-dev,
               libexpat1-dev,
               libipt-dev [amd64 i386 x32],
               liblzma-dev,
               libmpfr-dev,
               libncurses5-dev,
               libreadline-dev,
               m4,
               mig [hurd-any],
               python3-dev,
               texinfo,
               zlib1g-dev
Build-Depends-Indep: g++-mingw-w64
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64
Vcs-Git: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64.git
Homepage: https://www.gnu.org/software/gdb/
Rules-Requires-Root: no

Package: gdb-mingw-w64
Architecture: any
Depends: gdb (>= ${local:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gdb-mingw-w64-target
Suggests: gdb-doc
Built-Using: gdb (= ${gdb:Version})
Description: Cross-debugger for Win32 and Win64 using MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit Windows applications using the GNU Compiler Collection (gcc).
 .
 This package contains the gdb debugger which can be used with a
 Windows-hosted gdbserver to debug programs running on Windows hosts.
 .
 The gdb-mingw-w64-target package contains gdbserver and gdbreplay for
 32- and 64-bit Windows.
 .
 The non-free gdb-doc package contains the manual pages for gdb.

Package: gdb-mingw-w64-target
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: gdb-mingw-w64 (<< 7.3)
Replaces: gdb-mingw-w64 (<< 7.3)
Built-Using: gdb (= ${gdb:Version})
Description: Cross-debugger server for Win32 and Win64 using MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit Windows applications using the GNU Compiler Collection (gcc).
 .
 This package contains gdbserver and gdbreplay for 32- and 64-bit
 Windows.
