## gdb-mingw-w64 13

=== debian/changelog ===
gdb-mingw-w64 (13) unstable; urgency=medium

  * Switch from the obsolete libncurses5-dev build-dependency to
    libncurses-dev.
  * Build using the pthreads variant of g++-mingw-w64. Closes: #1052727.
    Build-depend only on the relevant packages.
  * Update Lintian overrides.
  * Standards-Version 4.6.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 Sep 2023 17:54:37 +0200
