## gdb-mingw-w64 13build1

=== debian/changelog ===
gdb-mingw-w64 (13build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 08:43:25 +0000
