=== debian/rules ===
--- 
+++ 
@@ -91,6 +91,7 @@
 			sh $(upstream_dir)/$$project/configure \
 				--build=$(DEB_BUILD_GNU_TYPE) \
 				--host=$$target --target=$$target \
+				CC=$$target-gcc-posix CXX=$$target-g++-posix \
 				--disable-werror \
 				$(shell $(dpkg_buildflags_indep) --export=cmdline); \
 		done; \
