## gdb-mingw-w64 13.1

=== debian/changelog ===
gdb-mingw-w64 (13.1) unstable; urgency=medium

  * Specify the target architecture when calculating build flags.
    Closes: #1063359.

 -- Stephen Kitt <skitt@debian.org>  Thu, 08 Feb 2024 19:15:03 +0100
