## gdb-mingw-w64 13.1build2

=== debian/changelog ===
gdb-mingw-w64 (13.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:37:32 +0000

gdb-mingw-w64 (13.1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 05:49:43 +0100
