=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gdb-mingw-w64
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
 Priority: optional
 Build-Depends: autoconf,
@@ -15,15 +16,15 @@
                libipt-dev [amd64 i386 x32],
                liblzma-dev,
                libmpfr-dev,
-               libncurses5-dev,
+               libncurses-dev,
                libreadline-dev,
                m4,
                mig [hurd-any],
                python3-dev,
                texinfo,
                zlib1g-dev
-Build-Depends-Indep: g++-mingw-w64
-Standards-Version: 4.6.0
+Build-Depends-Indep: g++-mingw-w64-i686-posix, g++-mingw-w64-x86-64-posix
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64.git
 Homepage: https://www.gnu.org/software/gdb/
