=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,8 @@
 gnu_upstream_version := $(shell echo $(deb_upstream_version) | cut -d. -f1-3)
 package := gdb-mingw-w64
 
-targets := i686-w64-mingw32 x86_64-w64-mingw32
+targets32 := i686-w64-mingw32
+targets64 := x86_64-w64-mingw32
 
 # Full hardening for Debian-targeted builds
 dpkg_buildflags_arch = DEB_BUILD_MAINT_OPTIONS="hardening=+all" dpkg-buildflags
@@ -46,7 +47,10 @@
 # We disable format because the gdb build tries to do so (partially)
 # anyway, and breaks the build with -Werror=format-security as a result
 # We link libstdc++ and libgcc statically to avoid needing the DLLs
-dpkg_buildflags_indep = DEB_BUILD_MAINT_OPTIONS="hardening=-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp -static" dpkg-buildflags
+# Specifying the host architecture ensure dpkg-buildflags doesn't attempt
+# to use architecture-specific flags irrelevant for i686 or x86_64
+dpkg_buildflags_indep_32 = DEB_HOST_ARCH=i386 DEB_BUILD_MAINT_OPTIONS="hardening=-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp -static" dpkg-buildflags
+dpkg_buildflags_indep_64 = DEB_HOST_ARCH=amd64 DEB_BUILD_MAINT_OPTIONS="hardening=-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp -static" dpkg-buildflags
 
 spelling = grep -rl "$(1)" $(upstream_dir) | xargs -r sed -i "s/$(1)/$(2)/g"
 
@@ -68,7 +72,7 @@
 
 override_dh_auto_configure-arch: unpack-stamp
 	set -e; \
-	for target in $(targets); do \
+	for target in $(targets32) $(targets64); do \
 		mkdir -p $(build_gdb_dir)/$$target; \
 		cd $(build_gdb_dir)/$$target; \
 		$(upstream_dir)/configure \
@@ -84,7 +88,7 @@
 gdbserver_projects := gnulib libiberty gdbsupport gdbserver
 override_dh_auto_configure-indep: unpack-stamp
 	set -e; \
-	for target in $(targets); do \
+	for target in $(targets32); do \
 		for project in $(gdbserver_projects); do \
 			mkdir -p $(build_gdbserver_dir)/$$target/$$project; \
 			cd $(build_gdbserver_dir)/$$target/$$project; \
@@ -93,29 +97,47 @@
 				--host=$$target --target=$$target \
 				CC=$$target-gcc-posix CXX=$$target-g++-posix \
 				--disable-werror \
-				$(shell $(dpkg_buildflags_indep) --export=cmdline); \
+				$(shell $(dpkg_buildflags_indep_32) --export=cmdline); \
+		done; \
+	done
+	for target in $(targets64); do \
+		for project in $(gdbserver_projects); do \
+			mkdir -p $(build_gdbserver_dir)/$$target/$$project; \
+			cd $(build_gdbserver_dir)/$$target/$$project; \
+			sh $(upstream_dir)/$$project/configure \
+				--build=$(DEB_BUILD_GNU_TYPE) \
+				--host=$$target --target=$$target \
+				CC=$$target-gcc-posix CXX=$$target-g++-posix \
+				--disable-werror \
+				$(shell $(dpkg_buildflags_indep_64) --export=cmdline); \
 		done; \
 	done
 
 override_dh_auto_build-arch:
 	set -e; \
-	for target in $(targets); do \
+	for target in $(targets32) $(targets64); do \
 		$(shell $(dpkg_buildflags_arch) --export=sh); \
 		dh_auto_build --parallel -B$(build_gdb_dir)/$$target -- V=1; \
 	done
 
 override_dh_auto_build-indep:
 	set -e; \
-	for target in $(targets); do \
+	for target in $(targets32); do \
 		for project in $(gdbserver_projects); do \
-			$(shell $(dpkg_buildflags_indep) --export=sh); \
+			$(shell $(dpkg_buildflags_indep_32) --export=sh); \
+			dh_auto_build --parallel -B$(build_gdbserver_dir)/$$target/$$project -- V=1; \
+		done; \
+	done; \
+	for target in $(targets64); do \
+		for project in $(gdbserver_projects); do \
+			$(shell $(dpkg_buildflags_indep_64) --export=sh); \
 			dh_auto_build --parallel -B$(build_gdbserver_dir)/$$target/$$project -- V=1; \
 		done; \
 	done
 
 override_dh_auto_install:
 	set -e; \
-	for target in $(targets); do \
+	for target in $(targets32) $(targets64); do \
 		dh_auto_install -B$(build_gdb_dir)/$$target; \
 	done
 # Drop files which will conflict with other packages
