## gdb-mingw-w64 13.1ubuntu1

=== debian/changelog ===
gdb-mingw-w64 (13.1ubuntu1) plucky; urgency=medium

  * Also install the gstack binaries (gdb 16.x).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 15:10:01 +0100
