=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gdb-mingw-w64
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
 Priority: optional
 Build-Depends: autoconf,
