## gdb-mingw-w64 13.1ubuntu2

=== debian/changelog ===
gdb-mingw-w64 (13.1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 24 Jan 2026 22:23:21 +0000
