## gdb-mingw-w64 13.1ubuntu3

=== debian/changelog ===
gdb-mingw-w64 (13.1ubuntu3) resolute; urgency=medium

  * Use DEB_LDFLAGS_MAINT_SET instead of DEB_LDFLAGS_MAINT_APPEND
    for MinGW cross-compilation LDFLAGS to prevent the ELF-only
    -Wl,--package-metadata flag from being passed to the PE linker.
    Fixes FTBFS on amd64 (LP: #2141594)

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Tue, 03 Mar 2026 15:25:25 +0100
