=== debian/rules ===
--- 
+++ 
@@ -49,8 +49,8 @@
 # We link libstdc++ and libgcc statically to avoid needing the DLLs
 # Specifying the host architecture ensure dpkg-buildflags doesn't attempt
 # to use architecture-specific flags irrelevant for i686 or x86_64
-dpkg_buildflags_indep_32 = DEB_HOST_ARCH=i386 DEB_BUILD_MAINT_OPTIONS="hardening=-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp -static" dpkg-buildflags
-dpkg_buildflags_indep_64 = DEB_HOST_ARCH=amd64 DEB_BUILD_MAINT_OPTIONS="hardening=-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp -static" dpkg-buildflags
+dpkg_buildflags_indep_32 = DEB_HOST_ARCH=i386 DEB_BUILD_MAINT_OPTIONS="hardening=-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_SET="-Xlinker --no-insert-timestamp -static" dpkg-buildflags
+dpkg_buildflags_indep_64 = DEB_HOST_ARCH=amd64 DEB_BUILD_MAINT_OPTIONS="hardening=-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_SET="-Xlinker --no-insert-timestamp -static" dpkg-buildflags
 
 spelling = grep -rl "$(1)" $(upstream_dir) | xargs -r sed -i "s/$(1)/$(2)/g"
