## gdb-mingw-w64 13.2

=== debian/changelog ===
gdb-mingw-w64 (13.2) unstable; urgency=medium

  * Build for 64-bit UCRT.
  * Update Lintian overrides.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Jan 2025 19:15:10 +0100
