=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
                python3-dev,
                texinfo,
                zlib1g-dev
-Build-Depends-Indep: g++-mingw-w64-i686-posix, g++-mingw-w64-x86-64-posix
-Standards-Version: 4.6.2
+Build-Depends-Indep: g++-mingw-w64-i686-posix, g++-mingw-w64-x86-64-posix, g++-mingw-w64-ucrt64
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64.git
 Homepage: https://www.gnu.org/software/gdb/
