=== debian/rules ===
--- 
+++ 
@@ -36,8 +36,9 @@
 gnu_upstream_version := $(shell echo $(deb_upstream_version) | cut -d. -f1-3)
 package := gdb-mingw-w64
 
-targets32 := i686-w64-mingw32
-targets64 := x86_64-w64-mingw32
+# Targets where the compiler takes a thread-model suffix have that suffix added
+targets32 := i686-w64-mingw32-posix
+targets64 := x86_64-w64-mingw32-posix x86_64-w64-mingw32ucrt
 
 # Full hardening for Debian-targeted builds
 dpkg_buildflags_arch = DEB_BUILD_MAINT_OPTIONS="hardening=+all" dpkg-buildflags
@@ -47,10 +48,10 @@
 # We disable format because the gdb build tries to do so (partially)
 # anyway, and breaks the build with -Werror=format-security as a result
 # We link libstdc++ and libgcc statically to avoid needing the DLLs
-# Specifying the host architecture ensure dpkg-buildflags doesn't attempt
+# Specifying the host architecture ensures dpkg-buildflags doesn't attempt
 # to use architecture-specific flags irrelevant for i686 or x86_64
-dpkg_buildflags_indep_32 = DEB_HOST_ARCH=i386 DEB_BUILD_MAINT_OPTIONS="hardening=-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_SET="-Xlinker --no-insert-timestamp -static" dpkg-buildflags
-dpkg_buildflags_indep_64 = DEB_HOST_ARCH=amd64 DEB_BUILD_MAINT_OPTIONS="hardening=-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_SET="-Xlinker --no-insert-timestamp -static" dpkg-buildflags
+dpkg_buildflags_indep_32 = DEB_HOST_ARCH=i386 DEB_BUILD_MAINT_OPTIONS="hardening=-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp -static" dpkg-buildflags
+dpkg_buildflags_indep_64 = DEB_HOST_ARCH=amd64 DEB_BUILD_MAINT_OPTIONS="hardening=-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp -static" dpkg-buildflags
 
 spelling = grep -rl "$(1)" $(upstream_dir) | xargs -r sed -i "s/$(1)/$(2)/g"
 
@@ -73,6 +74,7 @@
 override_dh_auto_configure-arch: unpack-stamp
 	set -e; \
 	for target in $(targets32) $(targets64); do \
+		target="$${target%-posix}"; \
 		mkdir -p $(build_gdb_dir)/$$target; \
 		cd $(build_gdb_dir)/$$target; \
 		$(upstream_dir)/configure \
@@ -89,25 +91,35 @@
 override_dh_auto_configure-indep: unpack-stamp
 	set -e; \
 	for target in $(targets32); do \
+		suffix=; \
+		if [ "$$target" != "$${target%-posix}" ]; then \
+			suffix=-posix; \
+		fi; \
+		target="$${target%-posix}"; \
 		for project in $(gdbserver_projects); do \
 			mkdir -p $(build_gdbserver_dir)/$$target/$$project; \
 			cd $(build_gdbserver_dir)/$$target/$$project; \
 			sh $(upstream_dir)/$$project/configure \
 				--build=$(DEB_BUILD_GNU_TYPE) \
 				--host=$$target --target=$$target \
-				CC=$$target-gcc-posix CXX=$$target-g++-posix \
+				CC=$$target-gcc$$suffix CXX=$$target-g++$$suffix \
 				--disable-werror \
 				$(shell $(dpkg_buildflags_indep_32) --export=cmdline); \
 		done; \
 	done
 	for target in $(targets64); do \
+		suffix=; \
+		if [ "$$target" != "$${target%-posix}" ]; then \
+			suffix=-posix; \
+		fi; \
+		target="$${target%-posix}"; \
 		for project in $(gdbserver_projects); do \
 			mkdir -p $(build_gdbserver_dir)/$$target/$$project; \
 			cd $(build_gdbserver_dir)/$$target/$$project; \
 			sh $(upstream_dir)/$$project/configure \
 				--build=$(DEB_BUILD_GNU_TYPE) \
 				--host=$$target --target=$$target \
-				CC=$$target-gcc-posix CXX=$$target-g++-posix \
+				CC=$$target-gcc$$suffix CXX=$$target-g++$$suffix \
 				--disable-werror \
 				$(shell $(dpkg_buildflags_indep_64) --export=cmdline); \
 		done; \
@@ -116,6 +128,7 @@
 override_dh_auto_build-arch:
 	set -e; \
 	for target in $(targets32) $(targets64); do \
+		target="$${target%-posix}"; \
 		$(shell $(dpkg_buildflags_arch) --export=sh); \
 		dh_auto_build --parallel -B$(build_gdb_dir)/$$target -- V=1; \
 	done
@@ -123,12 +136,14 @@
 override_dh_auto_build-indep:
 	set -e; \
 	for target in $(targets32); do \
+		target="$${target%-posix}"; \
 		for project in $(gdbserver_projects); do \
 			$(shell $(dpkg_buildflags_indep_32) --export=sh); \
 			dh_auto_build --parallel -B$(build_gdbserver_dir)/$$target/$$project -- V=1; \
 		done; \
 	done; \
 	for target in $(targets64); do \
+		target="$${target%-posix}"; \
 		for project in $(gdbserver_projects); do \
 			$(shell $(dpkg_buildflags_indep_64) --export=sh); \
 			dh_auto_build --parallel -B$(build_gdbserver_dir)/$$target/$$project -- V=1; \
@@ -138,6 +153,7 @@
 override_dh_auto_install:
 	set -e; \
 	for target in $(targets32) $(targets64); do \
+		target="$${target%-posix}"; \
 		dh_auto_install -B$(build_gdb_dir)/$$target; \
 	done
 # Drop files which will conflict with other packages
@@ -157,3 +173,4 @@
 override_dh_strip-indep:
 	i686-w64-mingw32-strip debian/gdb-mingw-w64-target/usr/share/win32/*.exe
 	x86_64-w64-mingw32-strip debian/gdb-mingw-w64-target/usr/share/win64/*.exe
+	x86_64-w64-mingw32ucrt-strip debian/gdb-mingw-w64-target/usr/share/ucrt64/*.exe
