## gdb-mingw-w64 13.3

=== debian/changelog ===
gdb-mingw-w64 (13.3) unstable; urgency=medium

  * Disable elfpackagemetadata in target builds.
  * Drop the obsolete built-using-field-on-arch-all-package override.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Drop “Priority: optional” since it’s now the default.
  * Drop the obsolete libbabeltrace-ctf-dev build-dependency.
  * Remove the old FSF address from debian/copyright.
  * Add missing man page links.
  * Standards-Version 4.7.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 04 Mar 2026 17:46:58 +0100
