=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: gdb-mingw-w64
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
-Priority: optional
 Build-Depends: autoconf,
                automake,
                bison,
@@ -9,7 +8,6 @@
                expect,
                flex,
                gdb-source (>= 10.1~),
-               libbabeltrace-ctf-dev,
                libbabeltrace-dev,
                libexpat1-dev,
                libipt-dev [amd64 i386 x32],
@@ -23,11 +21,10 @@
                texinfo,
                zlib1g-dev
 Build-Depends-Indep: g++-mingw-w64-i686-posix, g++-mingw-w64-x86-64-posix, g++-mingw-w64-ucrt64
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64.git
 Homepage: https://www.gnu.org/software/gdb/
-Rules-Requires-Root: no
 
 Package: gdb-mingw-w64
 Architecture: any
